Skip to Content
APIsBlocks

Blocks

Get blocks returns real-time or historical blockchain block numbers and timestamps.

Get Blocks

GEThttps://api.adesic.com/v2/blocks

Provides a list of compatible blockchains for retrieving block numbers and timestamps in an array.

Query Parameters

NameTypeDescription
apiKey*stringYour Adesic API Key

Get Blockchain Blocks

GEThttps://api.adesic.com/v2/blocks/{blockchain}

Returns an array of real-time or historical blockchain block numbers and timestamps.

Path Parameters

NameTypeDescription
blockchain*stringBlockchain for the block numbers.

Query Parameters

NameTypeDescription
apiKey*stringYour Adesic API Key
limitintNumber of results per request. Maximum 1,000 (default 100)
skipintNumber of results to skip per request.
orderBystringSort the returned data by any field in the API response, such as id, name, symbol, volumeUSD and more.
orderDirectionstringasc or desc return the results sorted by that field in either ascending or descending order.
blockintThe blockchain block number for historical data.
fromintThe start of the aggregate time window for historical data. Unix timestamp in milliseconds.
tointThe end of the aggregate time window for historical data. Unix timestamp in milliseconds.
success-response.json
[ { "number": "17017595", "timestamp": "1681127183", "size": "379123", "gasLimit": "30000000", "gasUsed": "21721808", "totalDifficulty": "58750003716598352816469", "author": "0x4838b106fce9647bdf1e7877bf73ce8b0bad5f97" } ]

Copy & Paste Code

curl-example.sh
curl -H "api-key: API KEY" https://api.adesic.com/v2/blocks/ethereum
blocks-response.json
[ { "number": "17017595", "timestamp": "1681127183", "size": "379123", "gasLimit": "30000000", "gasUsed": "21721808", "totalDifficulty": "58750003716598352816469", "author": "0x4838b106fce9647bdf1e7877bf73ce8b0bad5f97" } ]

Response Object

Example URL: https://api.adesic.com/v2/blocks/ethereum 

response-example.json
[ { "number": "17017595", "timestamp": "1681127183", "size": "379123", "gasLimit": "30000000", "gasUsed": "21721808", "totalDifficulty": "58750003716598352816469", "author": "0x4838b106fce9647bdf1e7877bf73ce8b0bad5f97" } ]

Response Attributes

Attribute NameData TypeDescription
numberstringBlockchain block number
timestampstringBlock number timestamp
sizestringBlock size
gasLimitstringBlock gas limit
gasUsedstringBlock gas used
totalDifficultystringBlock total difficulty
authorstringBlock author

© Adesic LLC. All Rights Reserved